{
  "type" : "record",
  "name" : "BabyOralIntakeQuestions",
  "namespace" : "org.gel.models.participant.avro",
  "doc" : "Time between oral intake and sample collection (to establish contamination levels and lead to understanding optimum collection time).",
  "fields" : [ {
    "name" : "neverBeenFed",
    "type" : "boolean",
    "doc" : "Has the baby been fed or taken medication before sample was collected."
  }, {
    "name" : "minutesSinceOralIntake",
    "type" : [ "null", "int" ],
    "doc" : "Time since last oral intake (feed or medication) in minutes. NOTE: Only fill in if baby was fed before sample collection."
  }, {
    "name" : "babyIntake",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "BabyIntake",
      "doc" : "Baby intake (feed or medication).",
      "symbols" : [ "MATERNAL_BREAST_MILK", "DONOR_BREAST_MILK", "INFANT_FORMULA", "MEDICATION" ]
    } ],
    "doc" : "Type of last intake (feed or medication). NOTE: Only fill in if baby was fed before sample collection."
  } ]
}
